> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update pull secret

> Update the configuration of an existing pull secret.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml patch /cloud/v1/caas/secrets/{project_id}/{region_id}/{secret_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/caas/secrets/{project_id}/{region_id}/{secret_name}:
    patch:
      tags:
        - Container as a Service
      summary: Update pull secret
      description: Update the configuration of an existing pull secret.
      operationId: PullSecretHandler.patch
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: secret_name
          required: true
          description: Pull secret name
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PullSecretUpdateSerializer'
      responses:
        '200':
          description: Pull secret
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PullSecretSerializer'
        '404':
          description: Resource not found
components:
  schemas:
    PullSecretUpdateSerializer:
      properties:
        login:
          anyOf:
            - maxLength: 100
              minLength: 1
              type: string
            - type: 'null'
          default: null
          description: Pull secret login
          examples:
            - login
          title: Login
        password:
          anyOf:
            - format: password
              maxLength: 5000
              minLength: 1
              type: string
              writeOnly: true
            - type: 'null'
          default: null
          description: Pull secret password
          examples:
            - password
          title: Password
        registry:
          anyOf:
            - maxLength: 400
              minLength: 1
              type: string
            - type: 'null'
          default: null
          description: Pull secret registry
          examples:
            - some.registry.com
          title: Registry
      title: PullSecretUpdateSerializer
      type: object
    PullSecretSerializer:
      properties:
        login:
          description: Pull secret login
          example: login
          examples:
            - login
          title: Login
          type: string
        name:
          description: Pull secret name
          example: my-secret
          examples:
            - my-secret
          title: Name
          type: string
        registry:
          description: Pull secret registry
          example: some.registry.com
          examples:
            - some.registry.com
          title: Registry
          type: string
        updated_at:
          description: Pull secret updated at
          example: '2021-01-01T00:00:00Z'
          examples:
            - '2021-01-01T00:00:00Z'
          title: Updated At
          type: string
      required:
        - name
        - registry
        - login
        - updated_at
      title: PullSecretSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````